Bug 428029 - killproc waiting granularity
killproc waiting granularity
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 14:55 EST by Petya Kohts
Modified: 2014-03-16 23:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: initscripts-9.26-1.fc15
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 16:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
killproc waiting granularity patch (953 bytes, patch)
2008-01-08 14:55 EST, Petya Kohts
no flags Details | Diff
Another patch solving this problem. (758 bytes, patch)
2009-03-17 11:39 EDT, Milos Jakubicek
no flags Details | Diff

  None (edit)
Description Petya Kohts 2008-01-08 14:55:39 EST
Attached patch implements more granular waiting
for process termination (which sometimes may
speed up `init.d/script stop` execution)
Comment 1 Petya Kohts 2008-01-08 14:55:39 EST
Created attachment 291081 [details]
killproc waiting granularity patch
Comment 2 Bug Zapper 2008-05-14 00:20:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 iarly selbir 2009-03-14 21:18:56 EDT
Some feedback about this bug?

Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Milos Jakubicek 2009-03-17 11:39:55 EDT
Created attachment 335539 [details]
Another patch solving this problem.

I was just about to file the same request, this would be really nice to merge. I'm also attaching another patch, you can review both.

The motivation is as follows: I'm maintaining boinc-client which sometimes takes a lot of time (even more than 10 seconds) to properly quit as it has to store its computation status. Moreover, killing by SIGKILL can lose the computed results which we definitely need to avoid => I've to use "-d 10" for killproc. This is much more than needed in most cases, while in some small percent it might not even be enough. Trying to kill by SIGTERM periodically until $delay amount of time makes really sense.

Thanks for consideration in advance.
Comment 6 Milos Jakubicek 2009-03-31 20:21:42 EDT
Bill, could you express yourself about the proposed change? I know you're probably short on time, but even letting us know in a way "yes, this should be done, I'll review the patches later" or "no, this is plain nonsense" would be nice. Thanks.
Comment 7 Bill Nottingham 2009-04-01 11:25:44 EDT
Yeah, I suck. The idea's reasonable.
Comment 9 Fedora Update System 2011-03-10 16:09:38 EST
initscripts-9.26-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/initscripts-9.26-1.fc15
Comment 10 Fedora Update System 2011-03-14 01:38:47 EDT
initscripts-9.26-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 George Rafaelov 2012-12-06 06:47:51 EST
Hi guys,
As far as I understand this bug is still actual in RHEL 6.3.
Will it be resolved ....?
Comment 12 James Juran 2013-12-18 12:59:17 EST
(In reply to George Rafaelov from comment #11)
> Hi guys,
> As far as I understand this bug is still actual in RHEL 6.3.
> Will it be resolved ....?

Yes, this issue is fixed in RHEL in 9.03.39-1, sometime after RHEL 6.3.

Note You need to log in before you can comment on or make changes to this bug.